#ifndef LEARNGTK4_APP_WIN_2_BACK_HPP
#define LEARNGTK4_APP_WIN_2_BACK_HPP

#include <gtkmm/application.h>
#include <glibmm/refptr.h>

namespace learn_gtkmm4 {
    class HelloWorld;
}

namespace gui_to_app {

    class AppWin2Back final : public Gtk::Application {
    public:
        ~AppWin2Back() noexcept final = default;

        static Glib::RefPtr<AppWin2Back> create();

    protected:
        AppWin2Back();

        void on_startup() final;

        void on_activate() final;

    private:
        void on_quit();

        learn_gtkmm4::HelloWorld *main_window{ nullptr };
    };

} // gui_to_app

#endif //LEARNGTK4_APP_WIN_2_BACK_HPP
